class_name VisionArea extends Area2D

@onready var collisionShape = $CollisionShape2D

func _ready() -> void:
	collisionShape.shape = CircleShape2D.new()

func changeViewSize(size: int):
	collisionShape.shape.radius = size 
